Path Computation and Control Extention Requirements for Fine-Granularity Transport Network
Liuyan Han
China Mobile
No.32 Xuanwumen west street
100053
Beijing
China
hanliuyan@chinamobile.com
Haomian Zheng
Huawei Technologies
H1, Huawei Xiliu Beipo Village, Songshan Lake.
Dongguan
Guangdong
523808
China
Zhenghaomian@huawei.com
Minxue Wang
China Mobile
No.32 Xuanwumen west street
100053
Beijing
China
wangminxue@chinamobile.com
Yang Zhao
China Mobile
No.32 Xuanwumen west street
100053
Beijing
China
zhaoyangyj@chinamobile.com
4 March 2024
PCE Working Group
This document focuses on the requirements for path computation and control of the fine-granularity transport network. It provides the general context of the use cases of path computation and the considerations on the requirements of PCE extension in such fine-granularity transport network.

Introduction
With the proposal of new service demand, the technology of the transport network is constantly developing. TDM based Optical Transport Network (OTN) and Metro Transport Network (MTN) technologies are both moving towards fine- grain hard slices. The vertical industries and dedicated line services have higher requirements on isolation, security and reliability but with smaller bandwidth. Fine-grain TDM technology can provide the flexible N*10Mbps bandwidth for these connections.
ITU-T has a series of recommendations for fgOTN (fine grain OTN ) and fgMTN (fine grain MTN). The fgOTN overview is defined in [ITU-T_G.709.20], fgOTN layer architecture is defined in [ITU-T_G.872], fgOTN Interface and server adaptation is defined in [ITU-T_G.709], fgOTN equipment is defined in [ITU-T_G.798], fgOTN synchronization is defined in [ITU-T_G.8251], fgOTN management requirementsis defined in [ITU-T_G.874] and protocol-neutral information model is defined in [ITU-T_G.875]. The fgMTN overview is defined in[ITU-T_G.8312.20], fgMTN layer architecture is defined in [ITU-T_G.8310], fgMTN interface is defined in [ITU-T_G.8312], fgMTN equipment is defined in [ITU-T_G.8321], fgMTN synchronization is defined in [ITU-T_G.mtn-sync] , and management requirement and information model is defined in [ITU-T_G.8350]. Both the fgOTN and fgMTN protection are defined in [ITU-T_G.808.4].
The new fine-grain transport technology will significantly increase the number of path connections in the network compared to the traditional connections based on optical wavelength or ODUk with larger bandwidth. For the future massive fine-grain channel connections, how to effectively perform end-to-end path computation and control will be an important technical topic.
The architecture of a Path Computation Element (PCE)-based model has been presented in [RFC4655]. It discusses PCE-based implementations including composite, external, and multiple PCE path computation. [RFC8779]addresses the extensions required for GMPLS applications and routing requests, for example, for Optical Transport Networks (OTNs) and Wavelength Switched Optical Networks (WSONs). Due to the new features of fine-grain technology, PCE may need to be extended.
This document focuses on the requirements for path computation and control of the fine-grain transport network. Section 3 provides the general context of the use cases of path computation. Section 4 provides the considerations on the requirements of PCE extension in such fine-grain transport network.

Requirements Language
The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and "OPTIONAL" in this document are to be interpreted as described in BCP 14 [RFC2119] [RFC8174] when, and only when, they appear in all capitals, as shown here.
Terminology
Domain:
- A domain, as defined in [RFC4655], is "any collection of network elements within a common sphere of address management or path computation responsibility". Specifically, within this document, we mean a part of an operator's network under common management (i.e., under shared operational management using the same instances of a tool and the same policies). Network elements are often grouped into domains based on technologies, vendor profiles, or geographic proximity.
FG:
- Fine Grain
MTN:
- Metro Transport Network
OTN:
- Optical Transport Network

Path Computation Requirements in Fine-grain Transport Network
Compared to traditional optical networks, fine-grain transport networks require more quantity, faster, and more flexible path set-up and removing capabilities. The path computation architecture should be reliable, scalable and efficient to facilitate the configuration of a large amount of fine-granularity channel connections.

Scenario of E2E fine-grain connection

      +-----------------------+           +------------------------+
      |         Domain A      |           |        Domain B        |
    +-+-+   +--+    +--+     ++-+       +-++    +--+    +--+     +-+-+
--->|PE1+---+P1+----+P2+---->+P4|------>|P5+----+P6+----+P7+---->+PE2|--->
    +-+-+   +--+    +--+     ++-+       +-++    +--+    +--+     +-+-+
      |                       |           |                        |
      +-----------------------+           +------------------------+
      ^                                                            ^
      |                                                            |
      +-----------------E2E fine-grain connection----------------+

o The number of fine-grain TDM channels will significantly increase:
- FgOTN and fgMTN support 10Mbit/s level tributary slots granularity. One ODU2 channel can support up to 952 fgOTN connections. One 5Gbps MTN channel can support up to 480 fgMTN connections. For transport devices with a switching capacity of several Tbps, they can support fine-grain channel connections of tens of thousands or even tens of thousands. Therefore, for the network, the number of connections throughout the entire network will significantly increase.
o According to service requirements, fine-grain paths may change frequently and dynamically:
- One fine-grain channel can carry and correspond to a certain CBR or Ethernet service, rather than serving as a large optical channel. When the services appear or end, or its bandwidth changes, or the destination address changes, they will cause changes in fine-grain channels. Therefore, compared to serving as an optical bandwidth channel for the routers, the fine-granularity channels serve directly as service channels, which are more likely to change.

Use Cases of Fine-grain Path Computation
To address the massive fine-grain path computation issues, it is necessary to combine centralized control systems and distributed control protocols. On the one hand, a centralized control system is used to calculate the global optimal routing and develop resource scheduling strategies. On the other hand, distributed control protocols between devices are used to perform operations such as cross connection configuration and time slot occupation assignment.
The applications of fine-grain path computation and related capabilities at least include:
o Fine-grain path set-up:
- The control system calculates service routing in a centralized way and sends messages to the source node. Then, the connection is established between devices through connection control signaling. The end-to-end fine-grain connections may cross one or more domains.
o Fine-grain resource management:
- The topology and resource information of fine-grain devices and slots need to be collected and reported, so that the centralized system can calculate new routes based on this information and allocate slot resources for the new connections.
o Fine-grain path update:
- During the connection, fine-grain channels can undergo hitless bandwidth adjustment. When channel bandwidth increases or decreases, time slots need to be added or removed. It is needed to control and update the existing path parameter.
o Fine-grain path removal:
- When the service no longer needs this connection, it is necessary to remove this fine-grain channel and release the corresponding resources.
o Service awareness and mapping:
- In order to accurately match the fine-grain service requirements, the service awareness and mapping function for fine-grain transport network have been defined in[I-D.liu-ccamp-optical2cloud-problem-statement]. The PE device learns and identifies the packet header carried by client services (including source and destination MAC or IP addresses etc). Then it reports the identified client services to the control system. The control system selects or creates connection(s) acorrding to service requirements, and configures the mapping between service and connection(s).

Requirements of PCE Extension for Fine-grain Transport Network
The centralized computation model of PCE architecture seems to be suitable for the fine-grain transport network, while the PCEP (PCE communication protocol) needs to be extended to meet the fine-grain transport requirements.
The path calculation request/reply message from the PCC or the PCE must contain the information specifying appropriate fine-grain channel attributes, including the fine-grain switching capability/type, the fine-grain server layer type, the fine-grain time slots, the fine-grain client ID, end-to-End fine-granularity path protection type, etc.
The protocol and signaling should support the application of fine-grain path set-up/update/removal and resource management.

PCEP Extension for Fine-grain Transport Network
Fine-grain path set-up/adjustment,service awareness and mapping and fine- grain resource management may be invovled in PCEP extensions. The specific extentions will continue to apply in the future.

Manageability Consideration
TBD

Security Considerations
TBD

IANA Considerations
TBD

Normative References
[ITU-T_G.709.20]

ITU-T G.709.20: Overview of fine grain OTN;
ITU-T
Work in progress
[ITU-T_G.872]

ITU-T G.872: Architecture of the optical transport network;
ITU-T
https://www.itu.int/rec/T-REC-G.872
[ITU-T_G.709]

ITU-T G.709: Interfaces for the optical transport network;
ITU-T
https://www.itu.int/rec/T-REC-G.709
[ITU-T_G.8251]

ITU-T G.8251: The control of jitter and wander within the optical transport network (OTN);
ITU-T
https://www.itu.int/rec/T-REC-G.8251
[ITU-T_G.874]

ITU-T G.874: Management aspects of optical transport network elements;
ITU-T
https://www.itu.int/rec/T-REC-G.874
[ITU-T_G.875]

ITU-T G.875: Optical transport network: Protocol-neutral management information model for the network element view;
ITU-T
https://www.itu.int/rec/T-REC-G.875
[ITU-T_G.8312.20]

ITU-T G.8312.20:Overview of fine grain MTN; 01/2024
ITU-T
January 2024
https://www.itu.int/rec/T-REC-G.8312.20
[ITU-T_G.8310]

ITU-T G.8310: Architecture of the metro transport network; 01/2024
ITU-T
January 2024
Work in progress
[ITU-T_G.8312]

ITU-T G.8312:Interfaces for metro transport networks; 01/2024
ITU-T
January 2024
https://www.itu.int/rec/T-REC-G.8312
[ITU-T_G.8321]

ITU-T G.8321:Characteristics of metro transport network equipment functional blocks;
ITU-T
https://www.itu.int/rec/T-REC-G.8321
[ITU-T_G.mtn-sync]

ITU-T G.mtn-sync:Synchronization aspects of metro transport network
ITU-T
Work in progress
[ITU-T_G.8350]

ITU-T G.8350: Management and Control of metro transport networks;
ITU-T
https://www.itu.int/rec/T-REC-G.8350
[ITU-T_G.808.4]

ITU-T G.808.4: Linear protection for fgMTN and fgOTN;
ITU-T
Work in progress
[ITU-T_G.798]

ITU-T G.798: Characteristics of optical transport network hierarchy equipment functional blocks;
ITU-T
https://www.itu.int/rec/T-REC-G.798
[RFC4655]
[RFC8779]
[RFC2119]
[RFC8174]
[I-D.liu-ccamp-optical2cloud-problem-statement]